Index: src/UIElements/Makefile.am
===================================================================
--- src/UIElements/Makefile.am	(revision 2f7988dfca2f351ead05e5302eafd42b83b2f353)
+++ src/UIElements/Makefile.am	(revision 0070aa122a6cee1ec7c2dcbadb8a53a98d6eac6d)
@@ -148,5 +148,7 @@
 
 QTUISOURCE = \
+  UIElements/Qt4/InstanceBoard/QtObservedAtom.cpp \
   UIElements/Qt4/InstanceBoard/QtObservedInstanceBoard.cpp \
+  UIElements/Qt4/InstanceBoard/QtObservedMolecule.cpp \
   UIElements/Qt4/Query/AtomQtQuery.cpp \
   UIElements/Qt4/Query/AtomsQtQuery.cpp \
@@ -203,5 +205,7 @@
              
 QTUIMOC_HEADER = \
+  UIElements/Qt4/InstanceBoard/QtObservedAtom.hpp \
   UIElements/Qt4/InstanceBoard/QtObservedInstanceBoard.hpp \
+  UIElements/Qt4/InstanceBoard/QtObservedMolecule.hpp \
   UIElements/Qt4/QtDialog.hpp \
   UIElements/Qt4/QtMainWindow.hpp \
Index: src/UIElements/Qt4/InstanceBoard/QtObservedAtom.cpp
===================================================================
--- src/UIElements/Qt4/InstanceBoard/QtObservedAtom.cpp	(revision 0070aa122a6cee1ec7c2dcbadb8a53a98d6eac6d)
+++ src/UIElements/Qt4/InstanceBoard/QtObservedAtom.cpp	(revision 0070aa122a6cee1ec7c2dcbadb8a53a98d6eac6d)
@@ -0,0 +1,46 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2015 Frederik Heber. All rights reserved.
+ *
+ *
+ *   This file is part of MoleCuilder.
+ *
+ *    MoleCuilder is free software: you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation, either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    MoleCuilder is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
+/*
+ * QtObservedAtom.cpp
+ *
+ *  Created on: Oct 28, 2015
+ *      Author: heber
+ */
+
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "QtObservedAtom.hpp"
+
+#include "CodePatterns/MemDebug.hpp"
+
+QtObservedAtom::QtObservedAtom(QWidget * _parent) :
+  QWidget(_parent),
+  Observer("QtObservedAtom")
+{}
+
+QtObservedAtom::~QtObservedAtom()
+{}
Index: src/UIElements/Qt4/InstanceBoard/QtObservedAtom.hpp
===================================================================
--- src/UIElements/Qt4/InstanceBoard/QtObservedAtom.hpp	(revision 0070aa122a6cee1ec7c2dcbadb8a53a98d6eac6d)
+++ src/UIElements/Qt4/InstanceBoard/QtObservedAtom.hpp	(revision 0070aa122a6cee1ec7c2dcbadb8a53a98d6eac6d)
@@ -0,0 +1,63 @@
+/*
+ * QtObservedAtom.hpp
+ *
+ *  Created on: Oct 28, 2015
+ *      Author: heber
+ */
+
+
+#ifndef QTOBSERVEDATOM_HPP_
+#define QTOBSERVEDATOM_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include <QtGui/QWidget>
+
+#include <vector>
+
+#include <boost/any.hpp>
+
+#include "CodePatterns/Observer/Observer.hpp"
+#include "CodePatterns/ObservedValue.hpp"
+
+#include "types.hpp"
+
+/** This instance is the ObservedValue representation of a World's atom.
+ *
+ * Due to the signal/slot mechanism and its delays, lifetime of objects in the
+ * World and their QtGui representation cannot directly be related (without
+ * slowing down Actions just for having the representation up to speed).
+ * Hence, the required information for displaying and representing these
+ * objects must be contained in an extra instance.
+ *
+ * This is the instance for information about a particular atom.
+ */
+class QtObservedAtom : public QWidget, public Observer
+{
+  Q_OBJECT
+
+  /** Cstor of QtObservedAtom.
+   *
+   * \param _parent Qt parent to automatically destroy when parent is destroyed
+   */
+  QtObservedAtom(QWidget * _parent=0);
+
+  /** Dstor of QtObservedAtom.
+   *
+   */
+  ~QtObservedAtom();
+
+signals:
+
+private slots:
+
+
+private:
+
+};
+
+
+#endif /* QTOBSERVEDATOM_HPP_ */
Index: src/UIElements/Qt4/InstanceBoard/QtObservedMolecule.cpp
===================================================================
--- src/UIElements/Qt4/InstanceBoard/QtObservedMolecule.cpp	(revision 0070aa122a6cee1ec7c2dcbadb8a53a98d6eac6d)
+++ src/UIElements/Qt4/InstanceBoard/QtObservedMolecule.cpp	(revision 0070aa122a6cee1ec7c2dcbadb8a53a98d6eac6d)
@@ -0,0 +1,46 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2015 Frederik Heber. All rights reserved.
+ *
+ *
+ *   This file is part of MoleCuilder.
+ *
+ *    MoleCuilder is free software: you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation, either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    MoleCuilder is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
+/*
+ * QtObservedMolecule.cpp
+ *
+ *  Created on: Oct 28, 2015
+ *      Author: heber
+ */
+
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "QtObservedMolecule.hpp"
+
+#include "CodePatterns/MemDebug.hpp"
+
+QtObservedMolecule::QtObservedMolecule(QWidget * _parent) :
+  QWidget(_parent),
+  Observer("QtObservedMolecule")
+{}
+
+QtObservedMolecule::~QtObservedMolecule()
+{}
Index: src/UIElements/Qt4/InstanceBoard/QtObservedMolecule.hpp
===================================================================
--- src/UIElements/Qt4/InstanceBoard/QtObservedMolecule.hpp	(revision 0070aa122a6cee1ec7c2dcbadb8a53a98d6eac6d)
+++ src/UIElements/Qt4/InstanceBoard/QtObservedMolecule.hpp	(revision 0070aa122a6cee1ec7c2dcbadb8a53a98d6eac6d)
@@ -0,0 +1,63 @@
+/*
+ * QtObservedMolecule.hpp
+ *
+ *  Created on: Oct 28, 2015
+ *      Author: heber
+ */
+
+
+#ifndef QTOBSERVEDMOLECULE_HPP_
+#define QTOBSERVEDMOLECULE_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include <QtGui/QWidget>
+
+#include <vector>
+
+#include <boost/any.hpp>
+
+#include "CodePatterns/Observer/Observer.hpp"
+#include "CodePatterns/ObservedValue.hpp"
+
+#include "types.hpp"
+
+/** This instance is the ObservedValue representation of a World's molecule.
+ *
+ * Due to the signal/slot mechanism and its delays, lifetime of objects in the
+ * World and their QtGui representation cannot directly be related (without
+ * slowing down Actions just for having the representation up to speed).
+ * Hence, the required information for displaying and representing these
+ * objects must be contained in an extra instance.
+ *
+ * This is the instance for information about a particular molecule.
+ */
+class QtObservedMolecule : public QWidget, public Observer
+{
+  Q_OBJECT
+
+  /** Cstor of QtObservedMolecule.
+   *
+   * \param _parent Qt parent to automatically destroy when parent is destroyed
+   */
+  QtObservedMolecule(QWidget * _parent=0);
+
+  /** Dstor of QtObservedMolecule.
+   *
+   */
+  ~QtObservedMolecule();
+
+signals:
+
+private slots:
+
+
+private:
+
+};
+
+
+#endif /* QTOBSERVEDMOLECULE_HPP_ */