Index: doc/userguide/userguide.xml
===================================================================
--- doc/userguide/userguide.xml	(revision a1c8fa5b0a1b29c0241e7d4e4bcaf3caa6eac36e)
+++ doc/userguide/userguide.xml	(revision 72e40d00799fa3dcb4c5c2f73218201359b4c899)
@@ -2057,4 +2057,14 @@
     the final one containing the optimized structure.</para>
         </section>
+        <section xml:id="dynamics.step-world-time">
+          <title xml:id="dynamics.step-world-time.title">Step forward and backward through world time</title>
+          <para>Some MacroActions are applied for a number of steps and need to
+          increment the current world time, e.g. molecule dynamics or structure
+          optimization. To this end, we may call upon
+          </para>
+          <programlisting>... --step-world-time 1</programlisting>
+          <para>Note that the argument gives the number of steps to step forward
+          and may be any integer. Hence, we may also step backwards.</para>
+        </section>
         <section xml:id="dynamics.set-world-time">
           <title xml:id="dynamics.set-world-time.title">Set the world&apos;s time step</title>
Index: src/Actions/FragmentationAction/MolecularDynamicsAction.cpp
===================================================================
--- src/Actions/FragmentationAction/MolecularDynamicsAction.cpp	(revision a1c8fa5b0a1b29c0241e7d4e4bcaf3caa6eac36e)
+++ src/Actions/FragmentationAction/MolecularDynamicsAction.cpp	(revision 72e40d00799fa3dcb4c5c2f73218201359b4c899)
@@ -63,4 +63,5 @@
   // forces are set according to summed fragmentary contributions. This is much cleaner.
   prototype_actions.addAction(AR.getActionByName(std::string("verlet-integration")).clone());
+  prototype_actions.addAction(AR.getActionByName(std::string("step-world-time")).clone());
   prototype_actions.addAction(AR.getActionByName(std::string("output")).clone());
   prototype_actions.addAction(AR.getActionByName(std::string("clear-fragment-results")).clone());
Index: src/Actions/FragmentationAction/StructuralOptimizationAction.cpp
===================================================================
--- src/Actions/FragmentationAction/StructuralOptimizationAction.cpp	(revision a1c8fa5b0a1b29c0241e7d4e4bcaf3caa6eac36e)
+++ src/Actions/FragmentationAction/StructuralOptimizationAction.cpp	(revision 72e40d00799fa3dcb4c5c2f73218201359b4c899)
@@ -70,4 +70,5 @@
   prototype_actions.addAction(AR.getActionByName(std::string("analyse-fragment-results")).clone());
   prototype_actions.addAction(AR.getActionByName(std::string("force-annealing")).clone());
+  prototype_actions.addAction(AR.getActionByName(std::string("step-world-time")).clone());
   prototype_actions.addAction(AR.getActionByName(std::string("output")).clone());
   prototype_actions.addAction(AR.getActionByName(std::string("clear-fragment-results")).clone());
Index: src/Actions/GlobalListOfActions.hpp
===================================================================
--- src/Actions/GlobalListOfActions.hpp	(revision a1c8fa5b0a1b29c0241e7d4e4bcaf3caa6eac36e)
+++ src/Actions/GlobalListOfActions.hpp	(revision 72e40d00799fa3dcb4c5c2f73218201359b4c899)
@@ -161,5 +161,6 @@
   (WorldSetBoundaryConditions) \
   (WorldSetDefaultName) \
-  (WorldSetWorldTime)
+  (WorldSetWorldTime) \
+  (WorldStepWorldTime)
 
 // extend list of actions in case levmar is available
Index: src/Actions/Makefile.am
===================================================================
--- src/Actions/Makefile.am	(revision a1c8fa5b0a1b29c0241e7d4e4bcaf3caa6eac36e)
+++ src/Actions/Makefile.am	(revision 72e40d00799fa3dcb4c5c2f73218201359b4c899)
@@ -605,5 +605,6 @@
   Actions/WorldAction/SetBoundaryConditionsAction.cpp \
   Actions/WorldAction/SetDefaultNameAction.cpp \
-  Actions/WorldAction/SetWorldTimeAction.cpp
+  Actions/WorldAction/SetWorldTimeAction.cpp \
+  Actions/WorldAction/StepWorldTimeAction.cpp
 WORLDACTIONHEADER = \
   Actions/WorldAction/AddEmptyBoundaryAction.hpp \
@@ -619,5 +620,6 @@
   Actions/WorldAction/SetBoundaryConditionsAction.hpp \
   Actions/WorldAction/SetDefaultNameAction.hpp \
-  Actions/WorldAction/SetWorldTimeAction.hpp
+  Actions/WorldAction/SetWorldTimeAction.hpp \
+  Actions/WorldAction/StepWorldTimeAction.hpp
 WORLDACTIONDEFS = \
   Actions/WorldAction/AddEmptyBoundaryAction.def \
@@ -633,5 +635,6 @@
   Actions/WorldAction/SetBoundaryConditionsAction.def \
   Actions/WorldAction/SetDefaultNameAction.def \
-  Actions/WorldAction/SetWorldTimeAction.def
+  Actions/WorldAction/SetWorldTimeAction.def \
+  Actions/WorldAction/StepWorldTimeAction.def
 
 #ACTIONPYTHONSOURCE_WITHDIR = $(ACTIONPROTOTYPESSOURCE:Action.cpp=Action.python.cpp)
Index: src/Actions/MoleculeAction/VerletIntegrationAction.cpp
===================================================================
--- src/Actions/MoleculeAction/VerletIntegrationAction.cpp	(revision a1c8fa5b0a1b29c0241e7d4e4bcaf3caa6eac36e)
+++ src/Actions/MoleculeAction/VerletIntegrationAction.cpp	(revision 72e40d00799fa3dcb4c5c2f73218201359b4c899)
@@ -98,6 +98,6 @@
   Verlet(CurrentStep+1, 1, 0, params.FixedCenterOfMass.get());
   LOG(0, "STATUS: Successfully performed updates on velocity and position.");
-  // increment to next time step: re-creates bond graph
-  World::getInstance().setTime(CurrentStep+1);
+//  // increment to next time step: re-creates bond graph
+//  World::getInstance().setTime(CurrentStep+1);
 
   // create undo state for all selected atoms (redo info):
@@ -131,8 +131,8 @@
   // go back one step
   const size_t CurrentStep = WorldTime::getInstance().getTime();
-  World::getInstance().setTime(CurrentStep-1);
+//  World::getInstance().setTime(CurrentStep-1);
 
   // remove current step for all modified atoms
-  removeLastStep(getIdsFromAtomicInfo(state->UndoInfo), CurrentStep);
+  removeLastStep(getIdsFromAtomicInfo(state->UndoInfo), CurrentStep+1);
 
   // and set back the old step (forces have been changed)
@@ -151,12 +151,15 @@
 
   // set stored new state
-  size_t CurrentStep = WorldTime::getInstance().getTime()+1;
-  addNewStep(state->UndoInfo, CurrentStep);
+  size_t CurrentStep = WorldTime::getInstance().getTime();
+  addNewStep(state->UndoInfo, CurrentStep+1);
 
   // add a new time step
-  World::getInstance().setTime(CurrentStep);
+  World::getInstance().setTime(CurrentStep+1);
 
   // and set positions of the new step
   ResetAtomPosition(state->UndoInfo, state->UpdatedStep[PositionIndex]);
+
+  // step back to old time step
+  World::getInstance().setTime(CurrentStep-1);
 
   return ActionState::ptr(_state);
Index: src/Actions/WorldAction/StepWorldTimeAction.cpp
===================================================================
--- src/Actions/WorldAction/StepWorldTimeAction.cpp	(revision 72e40d00799fa3dcb4c5c2f73218201359b4c899)
+++ src/Actions/WorldAction/StepWorldTimeAction.cpp	(revision 72e40d00799fa3dcb4c5c2f73218201359b4c899)
@@ -0,0 +1,111 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2016 Frederik Heber. All rights reserved.
+ * 
+ *
+ *   This file is part of MoleCuilder.
+ *
+ *    MoleCuilder is free software: you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation, either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    MoleCuilder is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
+/*
+ * StepWorldTimeAction.cpp
+ *
+ *  Created on: Sep 27, 2016
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "CodePatterns/MemDebug.hpp"
+
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
+#include "World.hpp"
+#include "WorldTime.hpp"
+
+#include <iostream>
+#include <string>
+
+#include "Actions/WorldAction/StepWorldTimeAction.hpp"
+
+using namespace MoleCuilder;
+
+// if both are given, we use backwards
+static int getSteps(const unsigned int _forward, const unsigned int _backward)
+{
+  int steps = 0;
+  if (_backward > 0)
+    steps = -_backward;
+  else
+    steps = _forward;
+
+  return steps;
+}
+
+// and construct the stuff
+#include "StepWorldTimeAction.def"
+#include "Action_impl_pre.hpp"
+/** =========== define the function ====================== */
+ActionState::ptr WorldStepWorldTimeAction::performCall() {
+  // create undo state
+  int oldtime;
+  oldtime = WorldTime::getTime();
+  WorldStepWorldTimeState *UndoState = new WorldStepWorldTimeState(oldtime, params);
+
+  const int steps = getSteps(params.steps_forward.get(), params.steps_backward.get());
+
+  if ((oldtime + steps) < 0) {
+    ELOG(1, "Cannot step back before time step #0.");
+    return Action::failure;
+  }
+  World::getInstance().setTime(oldtime+steps);
+  LOG(0, "Current time step is now: " << WorldTime::getTime() << ".");
+  return ActionState::ptr(UndoState);
+}
+
+ActionState::ptr WorldStepWorldTimeAction::performUndo(ActionState::ptr _state) {
+  WorldStepWorldTimeState *state = assert_cast<WorldStepWorldTimeState*>(_state.get());
+
+  World::getInstance().setTime(state->oldtime);
+  LOG(0, "Current time step is now again: " << WorldTime::getTime() << ".");
+
+  return ActionState::ptr(_state);
+}
+
+ActionState::ptr WorldStepWorldTimeAction::performRedo(ActionState::ptr _state){
+  WorldStepWorldTimeState *state = assert_cast<WorldStepWorldTimeState*>(_state.get());
+
+  const int steps = getSteps(
+      state->params.steps_forward.get(),
+      state->params.steps_backward.get());
+
+  World::getInstance().setTime(state->oldtime+steps);
+  LOG(0, "Current time step is now: " << WorldTime::getTime() << ".");
+
+  return ActionState::ptr(_state);
+}
+
+bool WorldStepWorldTimeAction::canUndo() {
+  return true;
+}
+
+bool WorldStepWorldTimeAction::shouldUndo() {
+  return true;
+}
+/** =========== end of function ====================== */
Index: src/Actions/WorldAction/StepWorldTimeAction.def
===================================================================
--- src/Actions/WorldAction/StepWorldTimeAction.def	(revision 72e40d00799fa3dcb4c5c2f73218201359b4c899)
+++ src/Actions/WorldAction/StepWorldTimeAction.def	(revision 72e40d00799fa3dcb4c5c2f73218201359b4c899)
@@ -0,0 +1,38 @@
+/*
+ * StepWorldTimeAction.def
+ *
+ *  Created on: Sep 27, 2016
+ *      Author: heber
+ */
+
+// all includes and backward declarations necessary for non-integral types below
+
+
+#include "Parameters/Validators/DummyValidator.hpp"
+
+// i.e. there is an integer with variable name Z that can be found in
+// ValueStorage by the token "Z" -> first column: int, Z, "Z"
+// "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
+#define paramtypes (unsigned int)(unsigned int)
+#define paramtokens ("steps-forward")("steps-backward")
+#define paramdescriptions ("how many steps to take forward or backward")("how many steps to take forward or backward")
+#define paramdefaults (PARAM_DEFAULT(1))(PARAM_DEFAULT(0))
+#define paramreferences (steps_forward)(steps_backward)
+#define paramvalids \
+(DummyValidator< unsigned int >()) \
+(DummyValidator< unsigned int >())
+
+#define statetypes (unsigned int)
+#define statereferences (oldtime)
+
+// some defines for all the names, you may use ACTION, STATE and PARAMS
+#define CATEGORY World
+#define MENUNAME "world"
+#define MENUPOSITION 12
+#define ACTIONNAME StepWorldTime
+#define TOKEN "step-world-time"
+
+
+// finally the information stored in the ActionTrait specialization
+#define DESCRIPTION "step forward or backward a certain amount of steps in world time"
+#undef SHORTFORM
Index: src/Actions/WorldAction/StepWorldTimeAction.hpp
===================================================================
--- src/Actions/WorldAction/StepWorldTimeAction.hpp	(revision 72e40d00799fa3dcb4c5c2f73218201359b4c899)
+++ src/Actions/WorldAction/StepWorldTimeAction.hpp	(revision 72e40d00799fa3dcb4c5c2f73218201359b4c899)
@@ -0,0 +1,22 @@
+/*
+ * StepWorldTimeAction.hpp
+ *
+ *  Created on: Sep 27, 2016
+ *      Author: heber
+ */
+
+#ifndef STEPWORLDTIMEACTION_HPP_
+#define STEPWORLDTIMEACTION_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+
+#include "Actions/Action.hpp"
+
+#include "StepWorldTimeAction.def"
+#include "Action_impl_header.hpp"
+
+#endif /* STEPWORLDTIMEACTION_HPP_ */
Index: tests/Python/AllActions/options.dat
===================================================================
--- tests/Python/AllActions/options.dat	(revision a1c8fa5b0a1b29c0241e7d4e4bcaf3caa6eac36e)
+++ tests/Python/AllActions/options.dat	(revision 72e40d00799fa3dcb4c5c2f73218201359b4c899)
@@ -225,4 +225,6 @@
 skiplines	"2"
 start-step	"0"
+steps-forward	"1"
+steps-backward	"0"
 steps	"5"
 store-grids	"0"
Index: tests/regression/Makefile.am
===================================================================
--- tests/regression/Makefile.am	(revision a1c8fa5b0a1b29c0241e7d4e4bcaf3caa6eac36e)
+++ tests/regression/Makefile.am	(revision 72e40d00799fa3dcb4c5c2f73218201359b4c899)
@@ -134,5 +134,4 @@
 	$(srcdir)/Options/Session/testsuite-options-store-session-python.at \
 	$(srcdir)/Options/SetDefaultName/testsuite-options-set-default-name.at \
-	$(srcdir)/Options/SetWorldTime/testsuite-options-set-world-time.at \
 	$(srcdir)/Options/Verbosity/testsuite-options-verbosity.at \
 	$(srcdir)/Options/Warranty/testsuite-options-warranty.at \
@@ -241,5 +240,8 @@
 	$(srcdir)/Tesselation/Convex/testsuite-tesselation-convex-envelope.at \
 	$(srcdir)/Tesselation/NonConvex/testsuite-tesselation-non-convex-envelope.at \
-	$(srcdir)/Tesselation/TriangleMatcher/testsuite-tesselation-trianglematcher.at
+	$(srcdir)/Tesselation/TriangleMatcher/testsuite-tesselation-trianglematcher.at \
+	$(srcdir)/WorldTime/testsuite-worldtime.at \
+	$(srcdir)/WorldTime/SetWorldTime/testsuite-worldtime-set-world-time.at \
+	$(srcdir)/WorldTime/StepWorldTime/testsuite-worldtime-step-world-time.at
 
 max_jobs = 4
Index: sts/regression/Options/SetWorldTime/testsuite-options-set-world-time.at
===================================================================
--- tests/regression/Options/SetWorldTime/testsuite-options-set-world-time.at	(revision a1c8fa5b0a1b29c0241e7d4e4bcaf3caa6eac36e)
+++ 	(revision )
@@ -1,44 +1,0 @@
-#
-#    MoleCuilder - creates and alters molecular systems
-#    Copyright (C) 2008-2012 University of Bonn
-#
-#    This program is free software: you can redistribute it and/or modify
-#    it under the terms of the GNU General Public License as published by
-#    the Free Software Foundation, either version 3 of the License, or
-#    (at your option) any later version.
-#
-#    This program is distributed in the hope that it will be useful,
-#    but WITHOUT ANY WARRANTY; without even the implied warranty of
-#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#    GNU General Public License for more details.
-#
-#    You should have received a copy of the GNU General Public License
-#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
-#
-### molecule default name
-
-AT_SETUP([Standard Options - set world time])
-AT_KEYWORDS([options set-world-time])
-
-AT_CHECK([../../molecuilder --set-world-time 10], 0, [stdout], [stderr])
-AT_CHECK([fgrep "Current time step is now: 10" stdout], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Standard Options - set world time with Undo])
-AT_KEYWORDS([options set-world-time undo])
-
-AT_CHECK([../../molecuilder --set-world-time 10 --undo], 0, [stdout], [stderr])
-AT_CHECK([fgrep "Current time step is now again: 0" stdout], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Standard Options - set world time with Redo])
-AT_KEYWORDS([options set-world-time redo])
-
-AT_CHECK([../../molecuilder --set-world-time 10 --undo --redo], 0, [stdout], [stderr])
-AT_CHECK([fgrep "Current time step is now: 10" stdout], 0, [ignore], [ignore])
-
-AT_CLEANUP
Index: tests/regression/Options/testsuite-options.at
===================================================================
--- tests/regression/Options/testsuite-options.at	(revision a1c8fa5b0a1b29c0241e7d4e4bcaf3caa6eac36e)
+++ tests/regression/Options/testsuite-options.at	(revision 72e40d00799fa3dcb4c5c2f73218201359b4c899)
@@ -40,7 +40,4 @@
 m4_include([Options/SetDefaultName/testsuite-options-set-default-name.at])
 
-# world time
-m4_include([Options/SetWorldTime/testsuite-options-set-world-time.at])
-
 # test that all desire parameters and count how many complain
 m4_include([Options/Empty/testsuite-options-empty-configs.at])
Index: tests/regression/WorldTime/SetWorldTime/testsuite-worldtime-set-world-time.at
===================================================================
--- tests/regression/WorldTime/SetWorldTime/testsuite-worldtime-set-world-time.at	(revision 72e40d00799fa3dcb4c5c2f73218201359b4c899)
+++ tests/regression/WorldTime/SetWorldTime/testsuite-worldtime-set-world-time.at	(revision 72e40d00799fa3dcb4c5c2f73218201359b4c899)
@@ -0,0 +1,45 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#    Copyright (C) 2016 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### set world time
+
+AT_SETUP([Worldtime - set])
+AT_KEYWORDS([worldtime set-world-time])
+
+AT_CHECK([../../molecuilder --set-world-time 10], 0, [stdout], [stderr])
+AT_CHECK([fgrep "Current time step is now: 10" stdout], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Worldtime - set with Undo])
+AT_KEYWORDS([worldtime set-world-time undo])
+
+AT_CHECK([../../molecuilder --set-world-time 10 --undo], 0, [stdout], [stderr])
+AT_CHECK([fgrep "Current time step is now again: 0" stdout], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Worldtime - set with Redo])
+AT_KEYWORDS([worldtime set-world-time undo redo])
+
+AT_CHECK([../../molecuilder --set-world-time 10 --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([fgrep "Current time step is now: 10" stdout], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/WorldTime/StepWorldTime/testsuite-worldtime-step-world-time.at
===================================================================
--- tests/regression/WorldTime/StepWorldTime/testsuite-worldtime-step-world-time.at	(revision 72e40d00799fa3dcb4c5c2f73218201359b4c899)
+++ tests/regression/WorldTime/StepWorldTime/testsuite-worldtime-step-world-time.at	(revision 72e40d00799fa3dcb4c5c2f73218201359b4c899)
@@ -0,0 +1,47 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2016 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### step through world time
+
+AT_SETUP([Worldtime - stepping])
+AT_KEYWORDS([worldtime step-world-time set-world-time])
+
+AT_CHECK([../../molecuilder --step-world-time --steps-forward 1], 0, [stdout], [stderr])
+AT_CHECK([fgrep "Current time step is now: 1" stdout], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --set-world-time 4 --step-world-time --steps-backward 2], 0, [stdout], [stderr])
+AT_CHECK([fgrep "Current time step is now: 2" stdout], 0, [ignore], [ignore])
+# stepping back too far fails
+AT_CHECK([../../molecuilder --set-world-time 1 --step-world-time --steps-backward 2], 5, [stdout], [stderr])
+
+AT_CLEANUP
+
+
+AT_SETUP([Worldtime - stepping with Undo])
+AT_KEYWORDS([worldtime step-world-time set-world-time undo])
+
+AT_CHECK([../../molecuilder --set-world-time 2 --step-world-time --steps-backward  1 --undo], 0, [stdout], [stderr])
+AT_CHECK([fgrep "Current time step is now again: 2" stdout], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+AT_SETUP([Worldtime - stepping with Redo])
+AT_KEYWORDS([worldtime step-world-time set-world-time undo redo])
+
+AT_CHECK([../../molecuilder --set-world-time 2 --step-world-time --steps-backward 1 --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([fgrep "Current time step is now: 1" stdout], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/WorldTime/testsuite-worldtime.at
===================================================================
--- tests/regression/WorldTime/testsuite-worldtime.at	(revision 72e40d00799fa3dcb4c5c2f73218201359b4c899)
+++ tests/regression/WorldTime/testsuite-worldtime.at	(revision 72e40d00799fa3dcb4c5c2f73218201359b4c899)
@@ -0,0 +1,24 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2016 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+AT_BANNER([MoleCuilder - worldtime])
+
+# setting
+m4_include([WorldTime/SetWorldTime/testsuite-worldtime-set-world-time.at])
+
+# stepping
+m4_include([WorldTime/StepWorldTime/testsuite-worldtime-step-world-time.at])
Index: tests/regression/testsuite.at
===================================================================
--- tests/regression/testsuite.at	(revision a1c8fa5b0a1b29c0241e7d4e4bcaf3caa6eac36e)
+++ tests/regression/testsuite.at	(revision 72e40d00799fa3dcb4c5c2f73218201359b4c899)
@@ -36,4 +36,6 @@
 m4_include(Options/testsuite-options.at)
 
+m4_include(WorldTime/testsuite-worldtime.at)
+
 m4_include(Parser/testsuite-parser.at)
 