Index: src/Actions/Makefile.am
===================================================================
--- src/Actions/Makefile.am	(revision 7d8342bd474d4727096bdd22952cb35fbc6b3e72)
+++ src/Actions/Makefile.am	(revision 74a444f9266857ac3c0a69758f1ef0a44d0f7ede)
@@ -89,4 +89,5 @@
   MoleculeAction/BondFileAction.cpp \
   MoleculeAction/ChangeNameAction.cpp \
+  MoleculeAction/CopyAction.cpp \
   MoleculeAction/FillWithMoleculeAction.cpp \
   MoleculeAction/LinearInterpolationofTrajectoriesAction.cpp \
@@ -101,4 +102,5 @@
   MoleculeAction/BondFileAction.hpp \
   MoleculeAction/ChangeNameAction.hpp \
+  MoleculeAction/CopyAction.hpp \
   MoleculeAction/FillWithMoleculeAction.hpp \
   MoleculeAction/LinearInterpolationofTrajectoriesAction.hpp \
Index: src/Actions/MapOfActions.cpp
===================================================================
--- src/Actions/MapOfActions.cpp	(revision 7d8342bd474d4727096bdd22952cb35fbc6b3e72)
+++ src/Actions/MapOfActions.cpp	(revision 74a444f9266857ac3c0a69758f1ef0a44d0f7ede)
@@ -63,4 +63,5 @@
 #include "Actions/CommandAction/VerboseAction.hpp"
 #include "Actions/CommandAction/VersionAction.hpp"
+#include "Actions/FragmentationAction/ConstructBondGraphAction.hpp"
 #include "Actions/FragmentationAction/DepthFirstSearchAction.hpp"
 #include "Actions/FragmentationAction/SubgraphDissectionAction.hpp"
@@ -68,4 +69,5 @@
 #include "Actions/MoleculeAction/BondFileAction.hpp"
 #include "Actions/MoleculeAction/ChangeNameAction.hpp"
+#include "Actions/MoleculeAction/CopyAction.hpp"
 #include "Actions/MoleculeAction/FillWithMoleculeAction.hpp"
 #include "Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.hpp"
@@ -214,4 +216,5 @@
   DescriptionMap["construct-bondgraph"] = "construct the bond graph of the selected atoms";
   DescriptionMap["convex-envelope"] = "create the convex envelope for a molecule";
+  DescriptionMap["copy-molecule"] = "copies a molecule with all atoms and bonds";
   DescriptionMap["default-molname"] = "set the default name of new molecules";
   DescriptionMap["depth-first-search"] = "Depth-First Search analysis of the molecular system";
@@ -352,4 +355,5 @@
   TypeMap["construct-bondgraph"] = &typeid(void);
   TypeMap["convex-envelope"] = &typeid(void);
+  TypeMap["copy-molecule"] = &typeid(molecule);
   TypeMap["default-molname"] = &typeid(std::string);
   TypeMap["depth-first-search"] = &typeid(double);
@@ -491,4 +495,5 @@
 
   MenuContainsActionMap.insert( pair<std::string, std::string> ("molecule", "bond-file") );
+  MenuContainsActionMap.insert( pair<std::string, std::string> ("molecule", "copy-molecule") );
   MenuContainsActionMap.insert( pair<std::string, std::string> ("molecule", "change-molname") );
   MenuContainsActionMap.insert( pair<std::string, std::string> ("molecule", "fill-molecule") );
@@ -560,4 +565,5 @@
   generic.insert("construct-bondgraph");
   generic.insert("convex-envelope");
+  generic.insert("copy-molecule");
 	generic.insert("default-molname");
 	generic.insert("depth-first-search");
@@ -939,4 +945,5 @@
   new CommandVersionAction();
 
+  new FragmentationConstructBondGraphAction();
   new FragmentationDepthFirstSearchAction();
   new FragmentationFragmentationAction();
@@ -945,4 +952,5 @@
   new MoleculeBondFileAction();
   new MoleculeChangeNameAction();
+  new MoleculeCopyAction();
   new MoleculeFillWithMoleculeAction();
   new MoleculeLinearInterpolationofTrajectoriesAction();
Index: src/Actions/MoleculeAction/CopyAction.cpp
===================================================================
--- src/Actions/MoleculeAction/CopyAction.cpp	(revision 74a444f9266857ac3c0a69758f1ef0a44d0f7ede)
+++ src/Actions/MoleculeAction/CopyAction.cpp	(revision 74a444f9266857ac3c0a69758f1ef0a44d0f7ede)
@@ -0,0 +1,97 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * CopyAction.cpp
+ *
+ *  Created on: May 10, 2010
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "Helpers/MemDebug.hpp"
+
+#include "Helpers/Log.hpp"
+#include "Helpers/Verbose.hpp"
+#include "LinearAlgebra/Vector.hpp"
+#include "atom.hpp"
+#include "bond.hpp"
+#include "molecule.hpp"
+#include "World.hpp"
+
+#include <iostream>
+#include <fstream>
+#include <string>
+
+using namespace std;
+
+#include "Actions/MoleculeAction/CopyAction.hpp"
+
+// and construct the stuff
+#include "CopyAction.def"
+#include "Action_impl_pre.hpp"
+/** =========== define the function ====================== */
+Action::state_ptr MoleculeCopyAction::performCall() {
+  molecule *copy = NULL;
+
+  // obtain information
+  getParametersfromValueStorage();
+
+  copy = params.mol->CopyMolecule();
+  Vector *Center = params.mol->DetermineCenterOfAll();
+  *Center *= -1.;
+  *Center += params.position;
+  copy->Translate(Center);
+  delete(Center);
+
+  return Action::state_ptr(new MoleculeCopyState(copy,params));
+}
+
+Action::state_ptr MoleculeCopyAction::performUndo(Action::state_ptr _state) {
+  MoleculeCopyState *state = assert_cast<MoleculeCopyState*>(_state.get());
+
+  for (molecule::iterator AtomRunner = state->copy->begin(); !state->copy->empty(); AtomRunner = state->copy->begin()) {
+    for(BondList::iterator BondRunner = (*AtomRunner)->ListOfBonds.begin(); !(*AtomRunner)->ListOfBonds.empty(); BondRunner = (*AtomRunner)->ListOfBonds.begin())
+      delete(*BondRunner);
+    atom *Walker = *AtomRunner;
+    state->copy->erase(AtomRunner);
+    World::getInstance().destroyAtom(Walker);
+  }
+  World::getInstance().destroyMolecule(state->copy);
+
+  return Action::state_ptr(_state);
+}
+
+Action::state_ptr MoleculeCopyAction::performRedo(Action::state_ptr _state){
+  MoleculeCopyState *state = assert_cast<MoleculeCopyState*>(_state.get());
+
+  molecule *copy = state->params.mol->CopyMolecule();
+  Vector *Center = state->params.mol->DetermineCenterOfAll();
+  *Center *= -1.;
+  *Center += state->params.position;
+  copy->Translate(Center);
+  delete(Center);
+
+  return Action::state_ptr(new MoleculeCopyState(copy,state->params));
+}
+
+bool MoleculeCopyAction::canUndo() {
+  return true;
+}
+
+bool MoleculeCopyAction::shouldUndo() {
+  return true;
+}
+
+const string MoleculeCopyAction::getName() {
+  return NAME;
+}
+/** =========== end of function ====================== */
Index: src/Actions/MoleculeAction/CopyAction.def
===================================================================
--- src/Actions/MoleculeAction/CopyAction.def	(revision 74a444f9266857ac3c0a69758f1ef0a44d0f7ede)
+++ src/Actions/MoleculeAction/CopyAction.def	(revision 74a444f9266857ac3c0a69758f1ef0a44d0f7ede)
@@ -0,0 +1,25 @@
+/*
+ * CopyAction.def
+ *
+ *  Created on: Aug 26, 2010
+ *      Author: heber
+ */
+
+// all includes and forward declarations necessary for non-integral types below
+class MoleculeListClass;
+
+// i.e. there is an integer with variable name Z that can be found in
+// ValueStorage by the token "Z" -> first column: int, Z, "Z"
+// "undefine" if no parameters are required
+#define paramtypes (molecule *) (Vector)
+#define paramtokens (MoleculeCopyAction::NAME) ("position")
+#define paramreferences (mol) (position)
+
+#define statetypes (molecule *)
+#define statereferences (copy)
+
+// some defines for all the names, you may use ACTION, STATE and PARAMS
+#define CATEGORY Molecule
+#define ACTIONNAME Copy
+#define TOKEN "copy-molecule"
+
Index: src/Actions/MoleculeAction/CopyAction.hpp
===================================================================
--- src/Actions/MoleculeAction/CopyAction.hpp	(revision 74a444f9266857ac3c0a69758f1ef0a44d0f7ede)
+++ src/Actions/MoleculeAction/CopyAction.hpp	(revision 74a444f9266857ac3c0a69758f1ef0a44d0f7ede)
@@ -0,0 +1,16 @@
+/*
+ * CopyAction.hpp
+ *
+ *  Created on: May 10, 2010
+ *      Author: heber
+ */
+
+#ifndef COPYACTION_HPP
+#define COPYACTION_HPP
+
+#include "Actions/Action.hpp"
+
+#include "CopyAction.def"
+#include "Action_impl_header.hpp"
+
+#endif // COPYACTION_HPP