Index: src/Potentials/Specifics/PairPotential_Morse.cpp
===================================================================
--- src/Potentials/Specifics/PairPotential_Morse.cpp	(revision b70b536beb4d228f4c98907dc83872914b6b8e5f)
+++ src/Potentials/Specifics/PairPotential_Morse.cpp	(revision 76cbd082753cf16eee92e72dd98df9644cb2bd3f)
@@ -150,3 +150,4 @@
       break;
   }
+  return std::vector<result_t>(1, 0.);
 }
Index: src/Potentials/Specifics/PairPotential_Morse.hpp
===================================================================
--- src/Potentials/Specifics/PairPotential_Morse.hpp	(revision b70b536beb4d228f4c98907dc83872914b6b8e5f)
+++ src/Potentials/Specifics/PairPotential_Morse.hpp	(revision 76cbd082753cf16eee92e72dd98df9644cb2bd3f)
@@ -27,4 +27,6 @@
 class PairPotential_Morse : virtual public EmpiricalPotential, virtual public FunctionModel
 {
+  //!> grant unit test access to internal parts
+  friend class PairPotential_MorseTest;
   // some repeated typedefs to avoid ambiguities
   typedef FunctionModel::arguments_t arguments_t;
Index: src/Potentials/Specifics/unittests/Makefile.am
===================================================================
--- src/Potentials/Specifics/unittests/Makefile.am	(revision b70b536beb4d228f4c98907dc83872914b6b8e5f)
+++ src/Potentials/Specifics/unittests/Makefile.am	(revision 76cbd082753cf16eee92e72dd98df9644cb2bd3f)
@@ -3,11 +3,14 @@
 
 POTENTIALSSPECIFICSTESTSSOURCES = \
-	../Potentials/Specifics/unittests/PairPotential_HarmonicUnitTest.cpp
+	../Potentials/Specifics/unittests/PairPotential_HarmonicUnitTest.cpp \
+	../Potentials/Specifics/unittests/PairPotential_MorseUnitTest.cpp
 
 POTENTIALSSPECIFICSTESTSHEADERS = \
-	../Potentials/Specifics/unittests/PairPotential_HarmonicUnitTest.hpp
+	../Potentials/Specifics/unittests/PairPotential_HarmonicUnitTest.hpp \
+	../Potentials/Specifics/unittests/PairPotential_MorseUnitTest.hpp
 
 POTENTIALSSPECIFICSTESTS = \
-	PairPotential_HarmonicUnitTest
+	PairPotential_HarmonicUnitTest \
+	PairPotential_MorseUnitTest
 
 TESTS += $(POTENTIALSSPECIFICSTESTS)
@@ -26,4 +29,9 @@
 PairPotential_HarmonicUnitTest_LDADD = ${POTENTIALSSPECIFICSLIBS}
 
+PairPotential_MorseUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+	../Potentials/Specifics/unittests/PairPotential_MorseUnitTest.cpp \
+	../Potentials/Specifics/unittests/PairPotential_MorseUnitTest.hpp
+PairPotential_MorseUnitTest_LDADD = ${POTENTIALSSPECIFICSLIBS}
+
 
 #AUTOMAKE_OPTIONS = parallel-tests
Index: src/Potentials/Specifics/unittests/PairPotential_MorseUnitTest.cpp
===================================================================
--- src/Potentials/Specifics/unittests/PairPotential_MorseUnitTest.cpp	(revision 76cbd082753cf16eee92e72dd98df9644cb2bd3f)
+++ src/Potentials/Specifics/unittests/PairPotential_MorseUnitTest.cpp	(revision 76cbd082753cf16eee92e72dd98df9644cb2bd3f)
@@ -0,0 +1,183 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2012 University of Bonn. All rights reserved.
+ * 
+ *
+ *   This file is part of MoleCuilder.
+ *
+ *    MoleCuilder is free software: you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation, either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    MoleCuilder is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
+/*
+ * PairPotential_MorseUnitTest.cpp
+ *
+ *  Created on: Oct 04, 2012
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+using namespace std;
+
+#include <cppunit/CompilerOutputter.h>
+#include <cppunit/extensions/TestFactoryRegistry.h>
+#include <cppunit/ui/text/TestRunner.h>
+
+#include "PairPotential_MorseUnitTest.hpp"
+
+#include <boost/assign.hpp>
+
+#include "CodePatterns/Assert.hpp"
+
+#include "FunctionApproximation/FunctionArgument.hpp"
+#include "Potentials/Specifics/PairPotential_Morse.hpp"
+#include "Potentials/helpers.hpp"
+
+using namespace boost::assign;
+
+#ifdef HAVE_TESTRUNNER
+#include "UnitTestMain.hpp"
+#endif /*HAVE_TESTRUNNER*/
+
+/********************************************** Test classes **************************************/
+
+// Registers the fixture into the 'registry'
+CPPUNIT_TEST_SUITE_REGISTRATION( PairPotential_MorseTest );
+
+
+void PairPotential_MorseTest::setUp()
+{
+  // failing asserts should be thrown
+  ASSERT_DO(Assert::Throw);
+
+  // data is taken from gnuplot via set table "morse.dat" with
+  // g(x)=D*(1- exp(-a*(x-c)))**2+d
+  a = 0.897888;
+  c = 2.92953;
+  d = -78.9883;
+  D = 0.196289;
+  input +=
+      1.89012,
+      2.17632,
+      2.46253,
+      2.74873,
+      3.03493,
+      3.32114,
+      3.60734,
+      3.89354,
+      4.17974,
+      4.46595;
+  output +=
+      -78.5211,
+      -78.8049,
+      -78.935,
+      -78.9822,
+      -78.9867,
+      -78.971,
+      -78.9475,
+      -78.9225,
+      -78.899,
+      -78.8784;
+
+  CPPUNIT_ASSERT_EQUAL( input.size(), output.size() );
+}
+
+
+void PairPotential_MorseTest::tearDown()
+{
+}
+
+/** UnitTest for operator()
+ */
+void PairPotential_MorseTest::operatorTest()
+{
+  PairPotential_Morse Morse(a,c,D,d);
+  for (size_t index = 0; index < input.size(); ++index) {
+    CPPUNIT_ASSERT(
+        Helpers::isEqual(
+            output[index],
+            Morse( FunctionModel::arguments_t(1,argument_t(input[index])) )[0],
+            1.e-4/std::numeric_limits<double>::epsilon() // only compare four digits
+        )
+    );
+  }
+}
+
+/** UnitTest for derivative()
+ */
+void PairPotential_MorseTest::derivativeTest()
+{
+  PairPotential_Morse Morse(a,c,D,d);
+  CPPUNIT_ASSERT(
+      Helpers::isEqual(
+          0.,
+          Morse.derivative(
+              FunctionModel::arguments_t(1,argument_t(c))
+          )[0],
+          1.e+6
+      )
+  );
+}
+
+
+/** UnitTest for parameter_derivative()
+ */
+void PairPotential_MorseTest::parameter_derivativeTest()
+{
+  PairPotential_Morse Morse(a,c,D,d);
+  CPPUNIT_ASSERT(
+      Helpers::isEqual(
+          0.,
+          Morse.parameter_derivative(
+              FunctionModel::arguments_t(1,argument_t(c)),
+              0
+          )[0],
+          1.e+6
+      )
+  );
+  CPPUNIT_ASSERT(
+      Helpers::isEqual(
+          0.,
+          Morse.parameter_derivative(
+              FunctionModel::arguments_t(1,argument_t(c)),
+              1
+          )[0],
+          1.e+6
+      )
+  );
+  CPPUNIT_ASSERT(
+      Helpers::isEqual(
+          0.,
+          Morse.parameter_derivative(
+              FunctionModel::arguments_t(1,argument_t(c)),
+              2
+          )[0],
+          1.e+6
+      )
+  );
+  CPPUNIT_ASSERT(
+      Helpers::isEqual(
+          1.,
+          Morse.parameter_derivative(
+              FunctionModel::arguments_t(1,argument_t(c)),
+              3
+          )[0],
+          1.e+6
+      )
+  );
+}
Index: src/Potentials/Specifics/unittests/PairPotential_MorseUnitTest.hpp
===================================================================
--- src/Potentials/Specifics/unittests/PairPotential_MorseUnitTest.hpp	(revision 76cbd082753cf16eee92e72dd98df9644cb2bd3f)
+++ src/Potentials/Specifics/unittests/PairPotential_MorseUnitTest.hpp	(revision 76cbd082753cf16eee92e72dd98df9644cb2bd3f)
@@ -0,0 +1,45 @@
+/*
+ * PairPotential_MorseUnitTest.hpp
+ *
+ *  Created on: Oct 04, 2012
+ *      Author: heber
+ */
+
+#ifndef PAIRPOTENTIAL_MORSEUNITTEST_HPP_
+#define PAIRPOTENTIAL_MORSEUNITTEST_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+
+#include <cppunit/extensions/HelperMacros.h>
+
+class PairPotential_Morse;
+
+/********************************************** Test classes **************************************/
+
+class PairPotential_MorseTest : public CppUnit::TestFixture
+{
+    CPPUNIT_TEST_SUITE( PairPotential_MorseTest) ;
+    CPPUNIT_TEST ( operatorTest );
+    CPPUNIT_TEST ( derivativeTest );
+    CPPUNIT_TEST ( parameter_derivativeTest );
+    CPPUNIT_TEST_SUITE_END();
+
+public:
+      void setUp();
+      void tearDown();
+      void operatorTest();
+      void derivativeTest();
+      void parameter_derivativeTest();
+
+private:
+      typedef std::vector<double> data_t;
+      data_t input;
+      data_t output;
+      double a,c,d,D;
+};
+
+#endif /* PAIRPOTENTIAL_MORSEUNITTEST_HPP_ */