Index: src/LinearAlgebra/LinearSystemOfEquations.cpp
===================================================================
--- src/LinearAlgebra/LinearSystemOfEquations.cpp	(revision 78b59342efdef84002909010c97948f27e3de0dd)
+++ src/LinearAlgebra/LinearSystemOfEquations.cpp	(revision 78b59342efdef84002909010c97948f27e3de0dd)
@@ -0,0 +1,143 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * LinearSystemOfEquations.cpp
+ *
+ *  Created on: Jan 8, 2010
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "Helpers/MemDebug.hpp"
+
+#include "Helpers/defs.hpp"
+#include "LinearAlgebra/LinearSystemOfEquations.hpp"
+#include "LinearAlgebra/MatrixContent.hpp"
+#include "LinearAlgebra/VectorContent.hpp"
+#include "Helpers/Assert.hpp"
+#include "Helpers/logger.hpp"
+#include "LinearAlgebra/Vector.hpp"
+
+#include <gsl/gsl_permutation.h>
+
+/** Constructor for class LinearSystemOfEquations.
+ * Allocates Vector and Matrix classes.
+ * \param m column dimension
+ * \param n row dimension
+ */
+LinearSystemOfEquations::LinearSystemOfEquations(int m, int n) : rows(m), columns(n), IsSymmetric(false)
+{
+  A = new MatrixContent(m, n);
+  b = new VectorContent(m);
+  x = new VectorContent(n);
+};
+
+/** Destructor for class LinearSystemOfEquations.
+ * Destructs Vector and Matrix classes.
+ */
+LinearSystemOfEquations::~LinearSystemOfEquations()
+{
+  delete(A);
+  delete(b);
+  delete(x);
+};
+
+/** Sets whether matrix is to be regarded as symmetric.
+ * Note that we do not check whether it really is, just take upper diagonal.
+ * \param symmetric true or false
+ */
+bool LinearSystemOfEquations::SetSymmetric(bool symmetric)
+{
+  ASSERT (rows == columns, "Rows and columns don't have equal size! Setting symmetric not possible.");
+  return (IsSymmetric = symmetric);
+};
+
+/** Initializes vector b to the components of the given vector.
+ * \param *x Vector with equal dimension (no check!)
+ */
+void LinearSystemOfEquations::Setb(Vector *x)
+{
+  ASSERT  ( columns == NDIM, "Vector class is always three-dimensional, unlike this LEqS!");
+  b->setFromVector(*x);
+};
+
+/** Initializes vector b to the components of the given vector.
+ * \param *x array with equal dimension (no check!)
+ */
+void LinearSystemOfEquations::Setb(double *x)
+{
+  b->setFromDoubleArray(x);
+};
+
+/** Initializes matrix a to the components of the given array.
+ * note that sort order should be
+ * \param *x array with equal dimension (no check!)
+ */
+void LinearSystemOfEquations::SetA(double *x)
+{
+  A->setFromDoubleArray(x);
+};
+
+/** Returns the solution vector x \f$A \cdot x = b\f$ as an array of doubles.
+ * \param *array pointer allocated array for solution on return (no bounds check, dimension must match)
+ * \return true - solving possible, false - some error occured.
+ */
+bool LinearSystemOfEquations::GetSolutionAsArray(double *&array)
+{
+  bool status = Solve();
+
+  // copy solution
+  for (size_t i=0;i<x->dimension;i++) {
+    array[i] = x->at(i);
+  }
+  return status;
+};
+
+/** Returns the solution vector x \f$A \cdot x = b\f$ as an array of doubles.
+ * \param &x solution vector on return (must be 3-dimensional)
+ * \return true - solving possible, false - some error occured.
+ */
+bool LinearSystemOfEquations::GetSolutionAsVector(Vector &v)
+{
+  ASSERT (rows == NDIM, "Solution can only be returned as vector if number of columns is NDIM.");
+  bool status = Solve();
+
+  // copy solution
+  for (size_t i=0;i<x->dimension;i++)
+    v[i] = x->at(i);
+  return status;
+};
+
+/** Solves the given system of \f$A \cdot x = b\f$.
+ * Use either LU or Householder decomposition.
+ * Solution is stored in LinearSystemOfEquations::x
+ * \return true - solving possible, false - some error occured.
+ */
+bool LinearSystemOfEquations::Solve()
+{
+  // calculate solution
+  int s;
+  if (IsSymmetric) { // use LU
+    gsl_permutation * p = gsl_permutation_alloc (x->dimension);
+    gsl_linalg_LU_decomp (A->content, p, &s);
+    gsl_linalg_LU_solve (A->content, p, b->content, x->content);
+    gsl_permutation_free (p);
+  } else {  // use Householder
+    //MatrixContent *backup = new MatrixContent(rows,columns);
+    //*backup = *A;
+    gsl_linalg_HH_solve (A->content, b->content, x->content);
+    //*A = *backup;
+    //delete(backup);
+  }
+  return true;
+};
+
Index: src/LinearAlgebra/LinearSystemOfEquations.hpp
===================================================================
--- src/LinearAlgebra/LinearSystemOfEquations.hpp	(revision 78b59342efdef84002909010c97948f27e3de0dd)
+++ src/LinearAlgebra/LinearSystemOfEquations.hpp	(revision 78b59342efdef84002909010c97948f27e3de0dd)
@@ -0,0 +1,59 @@
+/*
+ * LinearSystemOfEquations.hpp
+ *
+ *  Created on: Jan 8, 2010
+ *      Author: heber
+ */
+
+#ifndef LINEARSYSTEMSOFEQUATIONS_HPP
+#define LINEARSYSTEMSOFEQUATIONS_HPP
+
+/*********************************************** includes ***********************************/
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include <gsl/gsl_linalg.h>
+
+/****************************************** forward declarations *****************************/
+
+class Vector;
+class MatrixContent;
+class VectorContent;
+
+/********************************************** declarations *******************************/
+
+/** Solver class for a linear system of equations in the form \f$A \cdot x = b\F$.
+ *
+ */
+class LinearSystemOfEquations {
+public:
+  LinearSystemOfEquations(int n, int m);
+  ~LinearSystemOfEquations();
+
+  // setting
+  void Setb(Vector *x);
+  void Setb(double *x);
+  void SetA(double *x);
+  bool SetSymmetric(bool symmetric);
+
+  // solving
+  bool GetSolutionAsArray(double *&array);
+  bool GetSolutionAsVector(Vector &v);
+
+  VectorContent *b;
+  VectorContent *x;
+  MatrixContent *A;
+
+private:
+  bool Solve();
+
+  int rows;
+  int columns;
+
+  bool IsSymmetric;
+};
+
+#endif /* LINEARSYSTEMSOFEQUATIONS_HPP */
Index: src/LinearAlgebra/Makefile.am
===================================================================
--- src/LinearAlgebra/Makefile.am	(revision fff54fc0db0a4acc85e41914d8ef5c4e74bd0e7f)
+++ src/LinearAlgebra/Makefile.am	(revision 78b59342efdef84002909010c97948f27e3de0dd)
@@ -17,5 +17,5 @@
   LineSegment.cpp \
   LineSegmentSet.cpp \
-  linearsystemofequations.cpp \
+  LinearSystemOfEquations.cpp \
   MatrixContent.cpp \
   MatrixVector_ops.cpp \
@@ -36,5 +36,5 @@
   LineSegment.hpp \
   LineSegmentSet.hpp \
-  linearsystemofequations.hpp \
+  LinearSystemOfEquations.hpp \
   MatrixContent.hpp \
   MatrixVector_ops.hpp \
Index: c/LinearAlgebra/linearsystemofequations.cpp
===================================================================
--- src/LinearAlgebra/linearsystemofequations.cpp	(revision fff54fc0db0a4acc85e41914d8ef5c4e74bd0e7f)
+++ 	(revision )
@@ -1,143 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * linearsystemofequations.cpp
- *
- *  Created on: Jan 8, 2010
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "Helpers/MemDebug.hpp"
-
-#include "Helpers/defs.hpp"
-#include "LinearAlgebra/MatrixContent.hpp"
-#include "LinearAlgebra/VectorContent.hpp"
-#include "LinearAlgebra/linearsystemofequations.hpp"
-#include "Helpers/Assert.hpp"
-#include "Helpers/logger.hpp"
-#include "LinearAlgebra/Vector.hpp"
-
-#include <gsl/gsl_permutation.h>
-
-/** Constructor for class LinearSystemOfEquations.
- * Allocates Vector and Matrix classes.
- * \param m column dimension
- * \param n row dimension
- */
-LinearSystemOfEquations::LinearSystemOfEquations(int m, int n) : rows(m), columns(n), IsSymmetric(false)
-{
-  A = new MatrixContent(m, n);
-  b = new VectorContent(m);
-  x = new VectorContent(n);
-};
-
-/** Destructor for class LinearSystemOfEquations.
- * Destructs Vector and Matrix classes.
- */
-LinearSystemOfEquations::~LinearSystemOfEquations()
-{
-  delete(A);
-  delete(b);
-  delete(x);
-};
-
-/** Sets whether matrix is to be regarded as symmetric.
- * Note that we do not check whether it really is, just take upper diagonal.
- * \param symmetric true or false
- */
-bool LinearSystemOfEquations::SetSymmetric(bool symmetric)
-{
-  ASSERT (rows == columns, "Rows and columns don't have equal size! Setting symmetric not possible.");
-  return (IsSymmetric = symmetric);
-};
-
-/** Initializes vector b to the components of the given vector.
- * \param *x Vector with equal dimension (no check!)
- */
-void LinearSystemOfEquations::Setb(Vector *x)
-{
-  ASSERT  ( columns == NDIM, "Vector class is always three-dimensional, unlike this LEqS!");
-  b->setFromVector(*x);
-};
-
-/** Initializes vector b to the components of the given vector.
- * \param *x array with equal dimension (no check!)
- */
-void LinearSystemOfEquations::Setb(double *x)
-{
-  b->setFromDoubleArray(x);
-};
-
-/** Initializes matrix a to the components of the given array.
- * note that sort order should be
- * \param *x array with equal dimension (no check!)
- */
-void LinearSystemOfEquations::SetA(double *x)
-{
-  A->setFromDoubleArray(x);
-};
-
-/** Returns the solution vector x \f$A \cdot x = b\f$ as an array of doubles.
- * \param *array pointer allocated array for solution on return (no bounds check, dimension must match)
- * \return true - solving possible, false - some error occured.
- */
-bool LinearSystemOfEquations::GetSolutionAsArray(double *&array)
-{
-  bool status = Solve();
-
-  // copy solution
-  for (size_t i=0;i<x->dimension;i++) {
-    array[i] = x->at(i);
-  }
-  return status;
-};
-
-/** Returns the solution vector x \f$A \cdot x = b\f$ as an array of doubles.
- * \param &x solution vector on return (must be 3-dimensional)
- * \return true - solving possible, false - some error occured.
- */
-bool LinearSystemOfEquations::GetSolutionAsVector(Vector &v)
-{
-  ASSERT (rows == NDIM, "Solution can only be returned as vector if number of columns is NDIM.");
-  bool status = Solve();
-
-  // copy solution
-  for (size_t i=0;i<x->dimension;i++)
-    v[i] = x->at(i);
-  return status;
-};
-
-/** Solves the given system of \f$A \cdot x = b\f$.
- * Use either LU or Householder decomposition.
- * Solution is stored in LinearSystemOfEquations::x
- * \return true - solving possible, false - some error occured.
- */
-bool LinearSystemOfEquations::Solve()
-{
-  // calculate solution
-  int s;
-  if (IsSymmetric) { // use LU
-    gsl_permutation * p = gsl_permutation_alloc (x->dimension);
-    gsl_linalg_LU_decomp (A->content, p, &s);
-    gsl_linalg_LU_solve (A->content, p, b->content, x->content);
-    gsl_permutation_free (p);
-  } else {  // use Householder
-    //MatrixContent *backup = new MatrixContent(rows,columns);
-    //*backup = *A;
-    gsl_linalg_HH_solve (A->content, b->content, x->content);
-    //*A = *backup;
-    //delete(backup);
-  }
-  return true;
-};
-
Index: c/LinearAlgebra/linearsystemofequations.hpp
===================================================================
--- src/LinearAlgebra/linearsystemofequations.hpp	(revision fff54fc0db0a4acc85e41914d8ef5c4e74bd0e7f)
+++ 	(revision )
@@ -1,59 +1,0 @@
-/*
- * linearsystemofequations.hpp
- *
- *  Created on: Jan 8, 2010
- *      Author: heber
- */
-
-#ifndef LINEARSYSTEMSOFEQUATIONS_HPP
-#define LINEARSYSTEMSOFEQUATIONS_HPP
-
-/*********************************************** includes ***********************************/
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include <gsl/gsl_linalg.h>
-
-/****************************************** forward declarations *****************************/
-
-class Vector;
-class MatrixContent;
-class VectorContent;
-
-/********************************************** declarations *******************************/
-
-/** Solver class for a linear system of equations in the form \f$A \cdot x = b\F$.
- *
- */
-class LinearSystemOfEquations {
-public:
-  LinearSystemOfEquations(int n, int m);
-  ~LinearSystemOfEquations();
-
-  // setting
-  void Setb(Vector *x);
-  void Setb(double *x);
-  void SetA(double *x);
-  bool SetSymmetric(bool symmetric);
-
-  // solving
-  bool GetSolutionAsArray(double *&array);
-  bool GetSolutionAsVector(Vector &v);
-
-  VectorContent *b;
-  VectorContent *x;
-  MatrixContent *A;
-
-private:
-  bool Solve();
-
-  int rows;
-  int columns;
-
-  bool IsSymmetric;
-};
-
-#endif /* LINEARSYSTEMSOFEQUATIONS_HPP */
Index: src/LinearAlgebra/unittests/LinearSystemOfEquationsUnitTest.cpp
===================================================================
--- src/LinearAlgebra/unittests/LinearSystemOfEquationsUnitTest.cpp	(revision 78b59342efdef84002909010c97948f27e3de0dd)
+++ src/LinearAlgebra/unittests/LinearSystemOfEquationsUnitTest.cpp	(revision 78b59342efdef84002909010c97948f27e3de0dd)
@@ -0,0 +1,122 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * LinearSystemOfEquationsunittest.cpp
+ *
+ *  Created on: Jan 8, 2010
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+using namespace std;
+
+#include <iomanip>
+#include <cppunit/CompilerOutputter.h>
+#include <cppunit/extensions/TestFactoryRegistry.h>
+#include <cppunit/ui/text/TestRunner.h>
+#include <cmath>
+
+#include "LinearAlgebra/Vector.hpp"
+
+#include "LinearSystemOfEquationsUnitTest.hpp"
+
+#ifdef HAVE_TESTRUNNER
+#include "UnitTestMain.hpp"
+#endif /*HAVE_TESTRUNNER*/
+
+/********************************************** Test classes **************************************/
+
+// Registers the fixture into the 'registry'
+CPPUNIT_TEST_SUITE_REGISTRATION( LinearSystemOfEquationsTest );
+
+
+void LinearSystemOfEquationsTest::setUp()
+{
+  s = new LinearSystemOfEquations(4,4);
+};
+
+void LinearSystemOfEquationsTest::tearDown()
+{
+  delete(s);
+};
+
+/** Unit test for initialization.
+ *
+ */
+void LinearSystemOfEquationsTest::InitializationTest()
+{
+  // Setting A
+  double array[] = { 1., 0., 0., 0.,
+                     0., 2., 0., 0.,
+                     0., 0., 3., 0.,
+                     0., 0., 0., 4. };
+  s->SetA(array);
+
+  // Setting b
+};
+
+/** Unit test for symmetry property.
+ *
+ */
+void LinearSystemOfEquationsTest::SymmetricTest()
+{
+  CPPUNIT_ASSERT_EQUAL( true, s->SetSymmetric(true) );
+  //LinearSystemOfEquations *t = new LinearSystemOfEquations(4,3);
+  //CPPUNIT_ASSERT_EQUAL( true, t->SetSymmetric(true) );
+  //delete(t);
+};
+
+/** Unit test for simple Solve.
+ *
+ */
+void LinearSystemOfEquationsTest::SolveSimpleTest()
+{
+  // set up A and b
+  double m_array[] = { 1., 0., 0., 0.,
+                       0., 2., 0., 0.,
+                       0., 0., 3., 0.,
+                       0., 0., 0., 4. };
+  double v_array[] = { 1., 2., 3., 4. };
+  s->SetA(m_array);
+  s->Setb(v_array);
+
+  // solve
+  double *array = new double[4];
+  s->GetSolutionAsArray(array);
+  for (int i=0;i<4;i++)
+    CPPUNIT_ASSERT_EQUAL( 1., array[i]);
+  delete[](array);
+};
+
+/** Unit test for advanced Solve.
+ *
+ */
+void LinearSystemOfEquationsTest::SolveAdvancedTest()
+{
+  // set up A and b
+  double m_array[] = { 0.18, 0.60, 0.57, 0.96,
+                       0.41, 0.24, 0.99, 0.58,
+                       0.14, 0.30, 0.97, 0.66,
+                       0.51, 0.13, 0.19, 0.85 };
+  double v_array[] = { 1.0, 2.0, 3.0, 4.0 };
+  double x_array[] = { -4.05205022957398, -12.60561139590692, 1.660911626708844, 8.693766928795233 };
+  s->SetA(m_array);
+  s->Setb(v_array);
+
+  // solve
+  double *array = new double[4];
+  s->GetSolutionAsArray(array);
+  for (int i=0;i<4;i++) {
+    CPPUNIT_ASSERT( fabs(x_array[i] - array[i]) < MYEPSILON );
+  }
+  delete[](array);
+};
Index: src/LinearAlgebra/unittests/LinearSystemOfEquationsUnitTest.hpp
===================================================================
--- src/LinearAlgebra/unittests/LinearSystemOfEquationsUnitTest.hpp	(revision 78b59342efdef84002909010c97948f27e3de0dd)
+++ src/LinearAlgebra/unittests/LinearSystemOfEquationsUnitTest.hpp	(revision 78b59342efdef84002909010c97948f27e3de0dd)
@@ -0,0 +1,40 @@
+/*
+ * LinearSystemOfEquationsunittest.hpp
+ *
+ *  Created on: Jan 8, 2010
+ *      Author: heber
+ */
+
+#ifndef LINEARSYSTEMOFEQUATIONSUNITTEST_HPP_
+#define LINEARSYSTEMOFEQUATIONSUNITTEST_HPP_
+
+#include <cppunit/extensions/HelperMacros.h>
+
+#include "LinearAlgebra/LinearSystemOfEquations.hpp"
+
+/********************************************** Test classes **************************************/
+
+class LinearSystemOfEquationsTest : public CppUnit::TestFixture
+{
+    CPPUNIT_TEST_SUITE( LinearSystemOfEquationsTest) ;
+    CPPUNIT_TEST ( InitializationTest );
+    CPPUNIT_TEST ( SymmetricTest );
+    CPPUNIT_TEST ( SolveSimpleTest );
+    CPPUNIT_TEST ( SolveAdvancedTest );
+    CPPUNIT_TEST_SUITE_END();
+
+public:
+    void setUp();
+    void tearDown();
+
+    void InitializationTest();
+    void SymmetricTest();
+    void SolveSimpleTest();
+    void SolveAdvancedTest();
+
+private:
+    LinearSystemOfEquations *s;
+};
+
+
+#endif /* LINEARSYSTEMOFEQUATIONSUNITTEST_HPP_ */
Index: src/LinearAlgebra/unittests/Makefile.am
===================================================================
--- src/LinearAlgebra/unittests/Makefile.am	(revision fff54fc0db0a4acc85e41914d8ef5c4e74bd0e7f)
+++ src/LinearAlgebra/unittests/Makefile.am	(revision 78b59342efdef84002909010c97948f27e3de0dd)
@@ -9,4 +9,5 @@
 
 TESTS = \
+  LinearSystemOfEquationsUnitTest \
   MatrixContentSymmetricUnitTest \
   MatrixContentUnitTest \
@@ -23,4 +24,9 @@
 	../../Helpers/libMolecuilderHelpers-@MOLECUILDER_API_VERSION@.la \
 	$(BOOST_LIB)
+
+LinearSystemOfEquationsUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+	LinearSystemOfEquationsUnitTest.cpp \
+	LinearSystemOfEquationsUnitTest.hpp
+LinearSystemOfEquationsUnitTest_LDADD = ${GSLLIBS}
 
 MatrixContentSymmetricUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
Index: src/tesselationhelpers.cpp
===================================================================
--- src/tesselationhelpers.cpp	(revision fff54fc0db0a4acc85e41914d8ef5c4e74bd0e7f)
+++ src/tesselationhelpers.cpp	(revision 78b59342efdef84002909010c97948f27e3de0dd)
@@ -29,5 +29,5 @@
 #include "Helpers/Info.hpp"
 #include "linkedcell.hpp"
-#include "LinearAlgebra/linearsystemofequations.hpp"
+#include "LinearAlgebra/LinearSystemOfEquations.hpp"
 #include "Helpers/Log.hpp"
 #include "tesselation.hpp"
Index: src/unittests/Makefile.am
===================================================================
--- src/unittests/Makefile.am	(revision fff54fc0db0a4acc85e41914d8ef5c4e74bd0e7f)
+++ src/unittests/Makefile.am	(revision 78b59342efdef84002909010c97948f27e3de0dd)
@@ -24,5 +24,4 @@
   CountBondsUnitTest \
   FormulaUnittest \
-  LinearSystemOfEquationsUnitTest \
   LineUnittest \
   LinkedCellUnitTest \
@@ -81,5 +80,5 @@
   FormulaUnittest.cpp \
   ../Helpers/unittests/InfoUnitTest.cpp \
-  linearsystemofequationsunittest.cpp \
+  ../LinearAlgebra/unittests/LinearSystemOfEquationsUnitTest.cpp \
   LineUnittest.cpp \
   LinkedCellUnitTest.cpp \
@@ -120,6 +119,6 @@
   CountBondsUnitTest.hpp \
   FormulaUnittest.hpp \
-  ../Helpers/unittests/InfoUnitTest.h00pp \
-  linearsystemofequationsunittest.hpp \
+  ../Helpers/unittests/InfoUnitTest.hpp \
+  ../LinearAlgebra/unittests/LinearSystemOfEquationsUnitTest.hpp \
   LineUnittest.hpp \
   LinkedCellUnitTest.hpp \
@@ -172,7 +171,4 @@
 FormulaUnittest_LDADD = ${ALLLIBS}
 
-LinearSystemOfEquationsUnitTest_SOURCES = UnitTestMain.cpp linearsystemofequationsunittest.cpp linearsystemofequationsunittest.hpp
-LinearSystemOfEquationsUnitTest_LDADD = ${ALLLIBS}
-
 LineUnittest_SOURCES = UnitTestMain.cpp LineUnittest.cpp LineUnittest.hpp
 LineUnittest_LDADD = ${ALLLIBS}
Index: c/unittests/linearsystemofequationsunittest.cpp
===================================================================
--- src/unittests/linearsystemofequationsunittest.cpp	(revision fff54fc0db0a4acc85e41914d8ef5c4e74bd0e7f)
+++ 	(revision )
@@ -1,121 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * linearsystemofequationsunittest.cpp
- *
- *  Created on: Jan 8, 2010
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-using namespace std;
-
-#include <iomanip>
-#include <cppunit/CompilerOutputter.h>
-#include <cppunit/extensions/TestFactoryRegistry.h>
-#include <cppunit/ui/text/TestRunner.h>
-#include <cmath>
-
-#include "linearsystemofequationsunittest.hpp"
-#include "LinearAlgebra/Vector.hpp"
-
-#ifdef HAVE_TESTRUNNER
-#include "UnitTestMain.hpp"
-#endif /*HAVE_TESTRUNNER*/
-
-/********************************************** Test classes **************************************/
-
-// Registers the fixture into the 'registry'
-CPPUNIT_TEST_SUITE_REGISTRATION( LinearSystemOfEquationsTest );
-
-
-void LinearSystemOfEquationsTest::setUp()
-{
-  s = new LinearSystemOfEquations(4,4);
-};
-
-void LinearSystemOfEquationsTest::tearDown()
-{
-  delete(s);
-};
-
-/** Unit test for initialization.
- *
- */
-void LinearSystemOfEquationsTest::InitializationTest()
-{
-  // Setting A
-  double array[] = { 1., 0., 0., 0.,
-                     0., 2., 0., 0.,
-                     0., 0., 3., 0.,
-                     0., 0., 0., 4. };
-  s->SetA(array);
-
-  // Setting b
-};
-
-/** Unit test for symmetry property.
- *
- */
-void LinearSystemOfEquationsTest::SymmetricTest()
-{
-  CPPUNIT_ASSERT_EQUAL( true, s->SetSymmetric(true) );
-  //LinearSystemOfEquations *t = new LinearSystemOfEquations(4,3);
-  //CPPUNIT_ASSERT_EQUAL( true, t->SetSymmetric(true) );
-  //delete(t);
-};
-
-/** Unit test for simple Solve.
- *
- */
-void LinearSystemOfEquationsTest::SolveSimpleTest()
-{
-  // set up A and b
-  double m_array[] = { 1., 0., 0., 0.,
-                       0., 2., 0., 0.,
-                       0., 0., 3., 0.,
-                       0., 0., 0., 4. };
-  double v_array[] = { 1., 2., 3., 4. };
-  s->SetA(m_array);
-  s->Setb(v_array);
-
-  // solve
-  double *array = new double[4];
-  s->GetSolutionAsArray(array);
-  for (int i=0;i<4;i++)
-    CPPUNIT_ASSERT_EQUAL( 1., array[i]);
-  delete[](array);
-};
-
-/** Unit test for advanced Solve.
- *
- */
-void LinearSystemOfEquationsTest::SolveAdvancedTest()
-{
-  // set up A and b
-  double m_array[] = { 0.18, 0.60, 0.57, 0.96,
-                       0.41, 0.24, 0.99, 0.58,
-                       0.14, 0.30, 0.97, 0.66,
-                       0.51, 0.13, 0.19, 0.85 };
-  double v_array[] = { 1.0, 2.0, 3.0, 4.0 };
-  double x_array[] = { -4.05205022957398, -12.60561139590692, 1.660911626708844, 8.693766928795233 };
-  s->SetA(m_array);
-  s->Setb(v_array);
-
-  // solve
-  double *array = new double[4];
-  s->GetSolutionAsArray(array);
-  for (int i=0;i<4;i++) {
-    CPPUNIT_ASSERT( fabs(x_array[i] - array[i]) < MYEPSILON );
-  }
-  delete[](array);
-};
Index: c/unittests/linearsystemofequationsunittest.hpp
===================================================================
--- src/unittests/linearsystemofequationsunittest.hpp	(revision fff54fc0db0a4acc85e41914d8ef5c4e74bd0e7f)
+++ 	(revision )
@@ -1,40 +1,0 @@
-/*
- * linearsystemofequationsunittest.hpp
- *
- *  Created on: Jan 8, 2010
- *      Author: heber
- */
-
-#ifndef LINEARSYSTEMOFEQUATIONSUNITTEST_HPP_
-#define LINEARSYSTEMOFEQUATIONSUNITTEST_HPP_
-
-#include <cppunit/extensions/HelperMacros.h>
-
-#include "LinearAlgebra/linearsystemofequations.hpp"
-
-/********************************************** Test classes **************************************/
-
-class LinearSystemOfEquationsTest : public CppUnit::TestFixture
-{
-    CPPUNIT_TEST_SUITE( LinearSystemOfEquationsTest) ;
-    CPPUNIT_TEST ( InitializationTest );
-    CPPUNIT_TEST ( SymmetricTest );
-    CPPUNIT_TEST ( SolveSimpleTest );
-    CPPUNIT_TEST ( SolveAdvancedTest );
-    CPPUNIT_TEST_SUITE_END();
-
-public:
-    void setUp();
-    void tearDown();
-
-    void InitializationTest();
-    void SymmetricTest();
-    void SolveSimpleTest();
-    void SolveAdvancedTest();
-
-private:
-    LinearSystemOfEquations *s;
-};
-
-
-#endif /* LINEARSYSTEMOFEQUATIONSUNITTEST_HPP_ */