Index: tests/regression/Filling/RegularGrid/pre/double_sles.data
===================================================================
--- tests/regression/Filling/RegularGrid/pre/double_sles.data	(revision 80ca2949199193b6a0fde7517836465c5a7a214a)
+++ tests/regression/Filling/RegularGrid/pre/double_sles.data	(revision 80ca2949199193b6a0fde7517836465c5a7a214a)
@@ -0,0 +1,116 @@
+# ATOMDATA	Id	name	resName	chainID	x=3	type	neighbors=4	charge
+# Box	14.199	0	0	0	21.6216	0	0	0	33.9159
+1	NA	SLES	1	8.8536	11.6216	5.1044	NA	0	0	0	0	1	
+2	S	SLES	1	6.8086	8.7147	5.9519	SL	3	4	5	6	1.33	
+3	OS1	SLES	1	7.6774	9.6177	7.0641	OSL	2	7	0	0	-0.28	
+4	OS2	SLES	1	5.9054	9.6361	5.2941	O2L	2	0	0	0	-0.65	
+5	OS3	SLES	1	7.7756	8.2093	5	O2L	2	0	0	0	-0.65	
+6	OS4	SLES	1	6.0573	7.6106	6.5273	O2L	2	0	0	0	-0.65	
+7	C2	SLES	1	7.3282	9.2021	8.4518	CC32A	3	8	9	10	-0.11	
+8	H2A	SLES	1	6.2178	9.2763	8.621	HCA2	7	0	0	0	0.09	
+9	H2B	SLES	1	7.6482	8.133	8.5957	HCA2	7	0	0	0	0.09	
+10	C1	SLES	1	8.0977	10.1424	9.4959	CC32A	7	11	12	13	-0.01	
+11	H1B	SLES	1	7.8501	11.2106	9.2979	HCA2	10	0	0	0	0.09	
+12	H1A	SLES	1	9.199	10.0033	9.3916	HCA2	10	0	0	0	0.09	
+13	O1	SLES	1	7.8467	10.0035	10.9435	OC30A	10	14	0	0	-0.34	
+14	C2	SLES	1	7.2308	8.7724	11.3767	CC32A	13	15	16	17	-0.01	
+15	H2A	SLES	1	6.2661	8.7996	10.8332	HCA2	14	0	0	0	0.09	
+16	H2B	SLES	1	7.8837	8.0007	10.9102	HCA2	14	0	0	0	0.09	
+17	C1	SLES	1	6.9747	8.4076	12.8729	CC32A	14	18	19	20	-0.01	
+18	H1B	SLES	1	5.9645	8.7585	13.1769	HCA2	17	0	0	0	0.09	
+19	H1A	SLES	1	7.0195	7.3067	12.9939	HCA2	17	0	0	0	0.09	
+20	O1	SLES	1	7.7714	8.9429	13.9781	OC30A	17	21	0	0	-0.34	
+21	C1	SLES	1	7.8871	8.0556	15.15	CTL2	20	22	23	24	-0.18	
+22	H11	SLES	1	7.169	7.2284	15.0046	HAL2	21	0	0	0	0.09	
+23	H12	SLES	1	8.916	7.6603	15.0222	HAL2	21	0	0	0	0.09	
+24	C2	SLES	1	7.7199	8.6535	16.6029	CTL2	21	25	26	27	-0.18	
+25	H21	SLES	1	7.4833	9.7383	16.5257	HAL2	24	0	0	0	0.09	
+26	H22	SLES	1	8.6832	8.5511	17.1489	HAL2	24	0	0	0	0.09	
+27	C3	SLES	1	6.5603	7.9224	17.4392	CTL2	24	28	29	30	-0.18	
+28	H31	SLES	1	5.6644	8.5819	17.4671	HAL2	27	0	0	0	0.09	
+29	H32	SLES	1	6.2764	6.9853	16.9201	HAL2	27	0	0	0	0.09	
+30	C4	SLES	1	6.9911	7.5773	18.9249	CTL2	27	31	32	33	-0.18	
+31	H41	SLES	1	6.5412	8.3237	19.6124	HAL2	30	0	0	0	0.09	
+32	H42	SLES	1	8.0963	7.6544	19.0117	HAL2	30	0	0	0	0.09	
+33	C5	SLES	1	6.5369	6.1149	19.3723	CTL2	30	34	35	36	-0.18	
+34	H51	SLES	1	5.7382	5.7569	18.6858	HAL2	33	0	0	0	0.09	
+35	H52	SLES	1	7.404	5.4217	19.2794	HAL2	33	0	0	0	0.09	
+36	C6	SLES	1	5.9977	6.0654	20.8515	CTL2	33	37	38	39	-0.18	
+37	H61	SLES	1	5	6.5575	20.8906	HAL2	36	0	0	0	0.09	
+38	H62	SLES	1	5.8667	5	21.1536	HAL2	36	0	0	0	0.09	
+39	C7	SLES	1	6.9524	6.7681	21.8678	CTL2	36	40	41	42	-0.18	
+40	H71	SLES	1	6.7767	7.8661	21.831	HAL2	39	0	0	0	0.09	
+41	H72	SLES	1	8.007	6.5788	21.5672	HAL2	39	0	0	0	0.09	
+42	C8	SLES	1	6.7452	6.2738	23.3211	CTL2	39	43	44	45	-0.18	
+43	H81	SLES	1	5.6542	6.2507	23.5459	HAL2	42	0	0	0	0.09	
+44	H82	SLES	1	7.1373	5.2352	23.4116	HAL2	42	0	0	0	0.09	
+45	C9	SLES	1	7.4571	7.176	24.3602	CTL2	42	46	47	48	-0.18	
+46	H91	SLES	1	7.086	8.2202	24.2491	HAL2	45	0	0	0	0.09	
+47	H92	SLES	1	8.5507	7.1762	24.1518	HAL2	45	0	0	0	0.09	
+48	C10	SLES	1	7.2208	6.7092	25.8161	CTL2	45	49	50	51	-0.18	
+49	H10	SLES	1	6.1283	6.7313	26.0323	HAL2	48	0	0	0	0.09	
+50	H10	SLES	1	7.5713	5.6576	25.9222	HAL2	48	0	0	0	0.09	
+51	C11	SLES	1	7.9602	7.5968	26.8521	CTL2	48	52	53	54	-0.18	
+52	H11	SLES	1	7.6013	8.6462	26.7466	HAL2	51	0	0	0	0.09	
+53	H11	SLES	1	9.0499	7.586	26.6209	HAL2	51	0	0	0	0.09	
+54	C12	SLES	1	7.7565	7.1444	28.3212	CTL3	51	55	56	57	-0.27	
+55	H12	SLES	1	7.2902	7.9606	28.9159	HAL3	54	0	0	0	0.09	
+56	H12	SLES	1	8.7336	6.8825	28.784	HAL3	54	0	0	0	0.09	
+57	H12	SLES	1	7.0942	6.2524	28.3633	HAL3	54	0	0	0	0.09	
+58	NA	SLES	1	8.8536	16.6216	5.1044	NA	0	0	0	0	1	
+59	S	SLES	1	6.8086	13.7147	5.9519	SL	60	61	62	63	1.33	
+60	OS1	SLES	1	7.6774	14.6177	7.0641	OSL	59	64	0	0	-0.28	
+61	OS2	SLES	1	5.9054	14.6361	5.2941	O2L	59	0	0	0	-0.65	
+62	OS3	SLES	1	7.7756	13.2093	5	O2L	59	0	0	0	-0.65	
+63	OS4	SLES	1	6.0573	12.6106	6.5273	O2L	59	0	0	0	-0.65	
+64	C2	SLES	1	7.3282	14.2021	8.4518	CC32A	60	65	66	67	-0.11	
+65	H2A	SLES	1	6.2178	14.2763	8.621	HCA2	64	0	0	0	0.09	
+66	H2B	SLES	1	7.6482	13.133	8.5957	HCA2	64	0	0	0	0.09	
+67	C1	SLES	1	8.0977	15.1424	9.4959	CC32A	64	68	69	70	-0.01	
+68	H1B	SLES	1	7.8501	16.2106	9.2979	HCA2	67	0	0	0	0.09	
+69	H1A	SLES	1	9.199	15.0033	9.3916	HCA2	67	0	0	0	0.09	
+70	O1	SLES	1	7.8467	15.0035	10.9435	OC30A	67	71	0	0	-0.34	
+71	C2	SLES	1	7.2308	13.7724	11.3767	CC32A	70	72	73	74	-0.01	
+72	H2A	SLES	1	6.2661	13.7996	10.8332	HCA2	71	0	0	0	0.09	
+73	H2B	SLES	1	7.8837	13.0007	10.9102	HCA2	71	0	0	0	0.09	
+74	C1	SLES	1	6.9747	13.4076	12.8729	CC32A	71	75	76	77	-0.01	
+75	H1B	SLES	1	5.9645	13.7585	13.1769	HCA2	74	0	0	0	0.09	
+76	H1A	SLES	1	7.0195	12.3067	12.9939	HCA2	74	0	0	0	0.09	
+77	O1	SLES	1	7.7714	13.9429	13.9781	OC30A	74	78	0	0	-0.34	
+78	C1	SLES	1	7.8871	13.0556	15.15	CTL2	77	79	80	81	-0.18	
+79	H11	SLES	1	7.169	12.2284	15.0046	HAL2	78	0	0	0	0.09	
+80	H12	SLES	1	8.916	12.6603	15.0222	HAL2	78	0	0	0	0.09	
+81	C2	SLES	1	7.7199	13.6535	16.6029	CTL2	78	82	83	84	-0.18	
+82	H21	SLES	1	7.4833	14.7383	16.5257	HAL2	81	0	0	0	0.09	
+83	H22	SLES	1	8.6832	13.5511	17.1489	HAL2	81	0	0	0	0.09	
+84	C3	SLES	1	6.5603	12.9224	17.4392	CTL2	81	85	86	87	-0.18	
+85	H31	SLES	1	5.6644	13.5819	17.4671	HAL2	84	0	0	0	0.09	
+86	H32	SLES	1	6.2764	11.9853	16.9201	HAL2	84	0	0	0	0.09	
+87	C4	SLES	1	6.9911	12.5773	18.9249	CTL2	84	88	89	90	-0.18	
+88	H41	SLES	1	6.5412	13.3237	19.6124	HAL2	87	0	0	0	0.09	
+89	H42	SLES	1	8.0963	12.6544	19.0117	HAL2	87	0	0	0	0.09	
+90	C5	SLES	1	6.5369	11.1149	19.3723	CTL2	87	91	92	93	-0.18	
+91	H51	SLES	1	5.7382	10.7569	18.6858	HAL2	90	0	0	0	0.09	
+92	H52	SLES	1	7.404	10.4217	19.2794	HAL2	90	0	0	0	0.09	
+93	C6	SLES	1	5.9977	11.0654	20.8515	CTL2	90	94	95	96	-0.18	
+94	H61	SLES	1	5	11.5575	20.8906	HAL2	93	0	0	0	0.09	
+95	H62	SLES	1	5.8667	10	21.1536	HAL2	93	0	0	0	0.09	
+96	C7	SLES	1	6.9524	11.7681	21.8678	CTL2	93	97	98	99	-0.18	
+97	H71	SLES	1	6.7767	12.8661	21.831	HAL2	96	0	0	0	0.09	
+98	H72	SLES	1	8.007	11.5788	21.5672	HAL2	96	0	0	0	0.09	
+99	C8	SLES	1	6.7452	11.2738	23.3211	CTL2	96	100	101	102	-0.18	
+100	H81	SLES	1	5.6542	11.2507	23.5459	HAL2	99	0	0	0	0.09	
+101	H82	SLES	1	7.1373	10.2352	23.4116	HAL2	99	0	0	0	0.09	
+102	C9	SLES	1	7.4571	12.176	24.3602	CTL2	99	103	104	105	-0.18	
+103	H91	SLES	1	7.086	13.2202	24.2491	HAL2	102	0	0	0	0.09	
+104	H92	SLES	1	8.5507	12.1762	24.1518	HAL2	102	0	0	0	0.09	
+105	C10	SLES	1	7.2208	11.7092	25.8161	CTL2	102	106	107	108	-0.18	
+106	H10	SLES	1	6.1283	11.7313	26.0323	HAL2	105	0	0	0	0.09	
+107	H10	SLES	1	7.5713	10.6576	25.9222	HAL2	105	0	0	0	0.09	
+108	C11	SLES	1	7.9602	12.5968	26.8521	CTL2	105	109	110	111	-0.18	
+109	H11	SLES	1	7.6013	13.6462	26.7466	HAL2	108	0	0	0	0.09	
+110	H11	SLES	1	9.0499	12.586	26.6209	HAL2	108	0	0	0	0.09	
+111	C12	SLES	1	7.7565	12.1444	28.3212	CTL3	108	112	113	114	-0.27	
+112	H12	SLES	1	7.2902	12.9606	28.9159	HAL3	111	0	0	0	0.09	
+113	H12	SLES	1	8.7336	11.8825	28.784	HAL3	111	0	0	0	0.09	
+114	H12	SLES	1	7.0942	11.2524	28.3633	HAL3	111	0	0	0	0.09	