Index: tests/regression/Fragmentation/2/post/BondFragment0.conf.xyz
===================================================================
--- tests/regression/Fragmentation/2/post/BondFragment0.conf.xyz	(revision ebcadedc2eb5f524f09fc7618fe9f4fea00cdbb8)
+++ 	(revision )
@@ -1,7 +1,0 @@
-5
-	Created by molecuilder on Tue Oct  6 19:01:29 2009
-C	9.78209	3.27519	3.53589	
-H	9.78209	2.64589	2.64589	
-H	9.78209	2.64589	4.42589	
-H	8.89211	3.9045	3.53589	
-H	10.672	3.90454	3.53589	
Index: tests/regression/Fragmentation/2/post/BondFragment0.xyz
===================================================================
--- tests/regression/Fragmentation/2/post/BondFragment0.xyz	(revision 86cff86835bac81d60b4a25d08f3dacca7c0768c)
+++ tests/regression/Fragmentation/2/post/BondFragment0.xyz	(revision 86cff86835bac81d60b4a25d08f3dacca7c0768c)
@@ -0,0 +1,7 @@
+5
+	Created by molecuilder on Tue Oct  6 19:01:29 2009
+C	9.78209	3.27519	3.53589	
+H	9.78209	2.64589	2.64589	
+H	9.78209	2.64589	4.42589	
+H	8.89211	3.9045	3.53589	
+H	10.672	3.90454	3.53589	
Index: tests/regression/Fragmentation/2/post/BondFragment1.conf.xyz
===================================================================
--- tests/regression/Fragmentation/2/post/BondFragment1.conf.xyz	(revision ebcadedc2eb5f524f09fc7618fe9f4fea00cdbb8)
+++ 	(revision )
@@ -1,7 +1,0 @@
-5
-	Created by molecuilder on Tue Oct  6 19:01:29 2009
-C	8.53279	4.15859	3.53589	
-H	7.64283	3.52924	3.53589	
-H	8.53279	4.78789	2.64589	
-H	8.53279	4.78789	4.42589	
-H	9.42276	3.52927	3.53589	
Index: tests/regression/Fragmentation/2/post/BondFragment1.xyz
===================================================================
--- tests/regression/Fragmentation/2/post/BondFragment1.xyz	(revision 86cff86835bac81d60b4a25d08f3dacca7c0768c)
+++ tests/regression/Fragmentation/2/post/BondFragment1.xyz	(revision 86cff86835bac81d60b4a25d08f3dacca7c0768c)
@@ -0,0 +1,7 @@
+5
+	Created by molecuilder on Tue Oct  6 19:01:29 2009
+C	8.53279	4.15859	3.53589	
+H	7.64283	3.52924	3.53589	
+H	8.53279	4.78789	2.64589	
+H	8.53279	4.78789	4.42589	
+H	9.42276	3.52927	3.53589	
Index: tests/regression/Fragmentation/2/post/BondFragment2.conf.xyz
===================================================================
--- tests/regression/Fragmentation/2/post/BondFragment2.conf.xyz	(revision ebcadedc2eb5f524f09fc7618fe9f4fea00cdbb8)
+++ 	(revision )
@@ -1,7 +1,0 @@
-5
-	Created by molecuilder on Tue Oct  6 19:01:29 2009
-C	7.28359	3.27519	3.53589	
-H	8.17354	3.90454	3.53589	
-H	6.39363	3.90454	3.53589	
-H	7.28359	2.64589	2.64589	
-H	7.28359	2.64589	4.42589	
Index: tests/regression/Fragmentation/2/post/BondFragment2.xyz
===================================================================
--- tests/regression/Fragmentation/2/post/BondFragment2.xyz	(revision 86cff86835bac81d60b4a25d08f3dacca7c0768c)
+++ tests/regression/Fragmentation/2/post/BondFragment2.xyz	(revision 86cff86835bac81d60b4a25d08f3dacca7c0768c)
@@ -0,0 +1,7 @@
+5
+	Created by molecuilder on Tue Oct  6 19:01:29 2009
+C	7.28359	3.27519	3.53589	
+H	8.17354	3.90454	3.53589	
+H	6.39363	3.90454	3.53589	
+H	7.28359	2.64589	2.64589	
+H	7.28359	2.64589	4.42589	
Index: tests/regression/Fragmentation/2/post/BondFragment3.conf.xyz
===================================================================
--- tests/regression/Fragmentation/2/post/BondFragment3.conf.xyz	(revision ebcadedc2eb5f524f09fc7618fe9f4fea00cdbb8)
+++ 	(revision )
@@ -1,10 +1,0 @@
-8
-	Created by molecuilder on Tue Oct  6 19:01:29 2009
-C	9.78209	3.27519	3.53589	
-C	8.53279	4.15859	3.53589	
-H	9.78209	2.64589	2.64589	
-H	9.78209	2.64589	4.42589	
-H	10.672	3.90454	3.53589	
-H	7.64283	3.52924	3.53589	
-H	8.53279	4.78789	2.64589	
-H	8.53279	4.78789	4.42589	
Index: tests/regression/Fragmentation/2/post/BondFragment3.xyz
===================================================================
--- tests/regression/Fragmentation/2/post/BondFragment3.xyz	(revision 86cff86835bac81d60b4a25d08f3dacca7c0768c)
+++ tests/regression/Fragmentation/2/post/BondFragment3.xyz	(revision 86cff86835bac81d60b4a25d08f3dacca7c0768c)
@@ -0,0 +1,10 @@
+8
+	Created by molecuilder on Tue Oct  6 19:01:29 2009
+C	9.78209	3.27519	3.53589	
+C	8.53279	4.15859	3.53589	
+H	9.78209	2.64589	2.64589	
+H	9.78209	2.64589	4.42589	
+H	10.672	3.90454	3.53589	
+H	7.64283	3.52924	3.53589	
+H	8.53279	4.78789	2.64589	
+H	8.53279	4.78789	4.42589	
Index: tests/regression/Fragmentation/2/post/BondFragment4.conf.xyz
===================================================================
--- tests/regression/Fragmentation/2/post/BondFragment4.conf.xyz	(revision ebcadedc2eb5f524f09fc7618fe9f4fea00cdbb8)
+++ 	(revision )
@@ -1,10 +1,0 @@
-8
-	Created by molecuilder on Tue Oct  6 19:01:29 2009
-C	8.53279	4.15859	3.53589	
-C	7.28359	3.27519	3.53589	
-H	8.53279	4.78789	2.64589	
-H	8.53279	4.78789	4.42589	
-H	9.42276	3.52927	3.53589	
-H	6.39363	3.90454	3.53589	
-H	7.28359	2.64589	2.64589	
-H	7.28359	2.64589	4.42589	
Index: tests/regression/Fragmentation/2/post/BondFragment4.xyz
===================================================================
--- tests/regression/Fragmentation/2/post/BondFragment4.xyz	(revision 86cff86835bac81d60b4a25d08f3dacca7c0768c)
+++ tests/regression/Fragmentation/2/post/BondFragment4.xyz	(revision 86cff86835bac81d60b4a25d08f3dacca7c0768c)
@@ -0,0 +1,10 @@
+8
+	Created by molecuilder on Tue Oct  6 19:01:29 2009
+C	8.53279	4.15859	3.53589	
+C	7.28359	3.27519	3.53589	
+H	8.53279	4.78789	2.64589	
+H	8.53279	4.78789	4.42589	
+H	9.42276	3.52927	3.53589	
+H	6.39363	3.90454	3.53589	
+H	7.28359	2.64589	2.64589	
+H	7.28359	2.64589	4.42589	